> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retentar Entrega de Webhook

> Retentar manualmente uma entrega de webhook que falhou

# Retentar Entrega de Webhook

Retentar manualmente uma entrega de webhook que falhou. O retry cria uma nova entrada de log — o log original é preservado.

## Endpoint

```
POST /api/v1/agents/{agent_id}/webhooks/{webhook_id}/logs/{log_id}/retry
```

## Parâmetros de caminho

<ParamField path="agent_id" type="string" required>UUID do agente.</ParamField>
<ParamField path="webhook_id" type="string" required>UUID do webhook.</ParamField>
<ParamField path="log_id" type="string" required>UUID do log da entrega que falhou a ser retentada.</ParamField>

## Cabeçalhos da requisição

<ParamField header="Authorization" type="string" required>
  Token Bearer. Formato: `Bearer talq_your_environment_token_here`
</ParamField>

## Exemplos

<RequestExample>
  ```bash theme={null}
  curl -X POST "https://app.talkover.ai/api/v1/agents/agent-uuid/webhooks/webhook-uuid/logs/log-uuid/retry" \
    -H "Authorization: Bearer talq_your_environment_token_here"
  ```
</RequestExample>

## Resposta

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "message": "Webhook retry queued successfully",
    "data": {
      "log_id": "new-log-uuid",
      "original_log_id": "log-uuid",
      "queued_at": "2024-01-15T11:30:00Z"
    }
  }
  ```
</ResponseExample>

## Respostas de erro

### 422 — Não é Possível Retentar

Retornado quando o log não está em um estado retentável (ex: já teve sucesso, é muito antigo ou o webhook está desativado).

<ResponseExample>
  ```json theme={null}
  {
    "success": false,
    "message": "Log cannot be retried",
    "code": "LOG_NOT_RETRIABLE"
  }
  ```
</ResponseExample>

## Observações

* Os retries respeitam a configuração atual do webhook (URL, cabeçalhos, timeout) — não a configuração no momento da tentativa original.
* Use [Listar Logs de Entrega de Webhook](/api-reference/endpoints/list-webhook-logs) para acompanhar a nova tentativa.
